.hy_content-container {
    width: 60rem;
    height: 16.5rem;
    overflow: hidden;
    position: relative;
    
    border-radius: 10px;
}

.hy_content-wrapper {
    display: flex;
    width: 180rem; /* 3 倍宽 */
    transition: transform 0.5s ease-in-out;
}

.hy_content {
    width: 60rem;
    height: 16.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2em;
    color: #333;
}

.hy_controls {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.hy_control {
    width: 100px;
    height: 3px;
    background-color: #FBE4D8;
    margin: 0 10px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

.hy_control::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #EC722E;
    transition: width 6s linear;
}

.hy_control.hy_active::before {
    width: 100%;
}

.hy_control:not(.hy_active)::before {
    width: 0 !important; /* 确保非激活色块的进度条宽度为 0 */
    transition: none !important; /* 取消非激活色块的过渡效果 */
}

.hy_control:hover {
    background-color: #ff9966;
}

/* 容器样式 */
.hy2_container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    padding: 0px;
}

/* 卡片样式 */
.hy2_card {
    border: 1px solid #eee;
    border-radius: 5px;
    overflow: hidden;
    width: 200px;
    margin: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(100, 100, 100, 0.1);
    transition: transform 0.3s ease;
}

/* 卡片悬停效果 */
.hy2_card:hover {
    transform: translateY(-8px);
}

/* 图片样式 */
.hy2_card img {
    width: 100%;
    height: auto;
}

/* 文本样式 */
.hy2_card_zh {
    margin: 0.7rem;
    font-size: 1rem;
    color: #1D2129;
    text-align: left;
    font-weight: bold;
}

/* 文本样式 */
.hy2_card_en {
    margin: 0.7rem;
    font-size: 0.9rem;
    color: #9A9A9A;
    text-align: left;
    font-family: Arial, Helvetica, sans-serif;
}




/*  手机端部分 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */

.mhy_content-container {
    width: 23rem;
    height: 30rem;
    overflow: hidden;
    position: relative;
    border-radius: 10px;
}

.mhy_content-wrapper {
    display: flex;
    width: 69rem; /* 3 倍宽 */
    transition: transform 0.5s ease-in-out;
}

.mhy_content {
    width: 23rem;
    height: 30rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2em;
    color: #333;
    
}

.mhy_controls {
    width: 23rem;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    
}

.mhy_control {
    width: 60px;
    height: 3px;
    background-color: #FBE4D8;
    margin: 0 10px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

.mhy_control::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #EC722E;
    transition: width 3s linear;
}

.mhy_control.mhy_active::before {
    width: 100%;
}

.mhy_control:not(.mhy_active)::before {
    width: 0 !important; /* 确保非激活色块的进度条宽度为 0 */
    transition: none !important; /* 取消非激活色块的过渡效果 */
}

.mhy_control:hover {
    background-color: #ff9966;
}

/* 容器样式 */
.mhy2_container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    padding: 0px;
}

/* 卡片样式 */
.mhy2_card {
    border: 1px solid #eee;
    border-radius: 5px;
    overflow: hidden;
    width: 150px;
    margin: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(100, 100, 100, 0.1);
    transition: transform 0.3s ease;
}


/* 图片样式 */
.mhy2_card img {
    width: 100%;
    height: auto;
}

/* 文本样式 */
.mhy2_card_zh {
    margin: 0.7rem;
    font-size: 1rem;
    color: #1D2129;
    text-align: left;
    font-weight: bold;
}

/* 文本样式 */
.mhy2_card_en {
    margin: 0.7rem;
    font-size: 0.9rem;
    color: #9A9A9A;
    text-align: left;
    font-family: Arial, Helvetica, sans-serif;
}
